# Function pushUnlessIncluded

- pushUnlessIncluded(arr: any[], obj: any): boolean

- Push an object in an array, unless already there.

  ### Returns

  The object has been pushed in the array.

  #### Parameters

  - ##### arr: any[]

    The array to push the element.

  - ##### obj: any

    The object for which to test.

  #### Returns boolean

  - Defined in src/array.js:29

Generated using TypeDoc